> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmeasure.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoice Link

> Generates a link to the invoice with an embedded authentication token



## OpenAPI

````yaml https://api.getmeasure.com/api/v1/docs/api_spec.json get /companies/{company_id}/invoices/{uuid}/link
openapi: 3.1.0
info:
  title: Measure API
  description: APIs to communicate with Measure
  version: 1.0.0
servers:
  - url: https://api.getmeasure.com/api/v1
security: []
paths:
  /companies/{company_id}/invoices/{uuid}/link:
    get:
      tags:
        - Invoices
      summary: Get Invoice Link
      description: Generates a link to the invoice with an embedded authentication token
      operationId: Get_Invoice_Link
      parameters:
        - name: company_id
          in: path
          description: 'The company ID with the prefix ''cmp_''. '
          required: true
          schema:
            description: 'The company ID with the prefix ''cmp_''. '
            type: string
        - name: uuid
          in: path
          description: The resource UUID
          required: true
          schema:
            description: The resource UUID
            type: string
        - name: Idempotency-Key
          in: header
          description: >-
            The idempotency key that will be used to ensure the request is only
            performed once
          schema:
            description: >-
              The idempotency key that will be used to ensure the request is
              only performed once
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseCustomerInvoiceLinkResponse'
      deprecated: false
      security:
        - apiKey:
            - ''
components:
  schemas:
    ResponseCustomerInvoiceLinkResponse:
      properties:
        link:
          description: >-
            The hosted link for the invoice. The URL includes an authentication
            token as a query parameter, valid for 30 days from the due date
            (pending invoices) or 30 days from generation (overdue invoices)
          type: string
      type: object
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````